6.0.0-git
2019-03-20

[#11103] Smartmobile view improvements
Summary Smartmobile view improvements
Queue IMP
Queue Version Git master
Type Enhancement
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org, slusarz (at) horde (dot) org
Requester slusarz (at) horde (dot) org
Created 2012-03-24 (2552 days ago)
Due
Updated 2012-08-29 (2394 days ago)
Assigned
Resolved 2012-04-07 (2538 days ago)
Milestone 6
Patch No

History
2012-08-29 12:36:00 Git Commit Comment #17 Reply to this comment
Changes have been made in Git (master):

commit 634ee5c7da44d0a847db2113d084f3340fd9e5e3
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sat Apr 7 14:21:39 2012 -0600

     Ticket #11103: Remove confirmation when deleting a message

  imp/js/mobile.js                      |   29 ++++++++++++-----------------
  imp/templates/mobile/message.html.php |   21 +++++++++++----------
  imp/themes/default/mobile.css         |    3 +++
  3 files changed, 26 insertions(+), 27 deletions(-)

http://git.horde.org/horde-git/-/commit/634ee5c7da44d0a847db2113d084f3340fd9e5e3
2012-08-29 12:35:56 Git Commit Comment #16 Reply to this comment
Changes have been made in Git (master):

commit b506993cea14ba0713c1cd769a1822259823a920
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sat Apr 7 13:53:00 2012 -0600

     Bug #11103: Re-add delay to showing notifications on page load

     This event is being fired too quickly, so the history is not being
     updated before switching to the notification view. This was completely
     breaking the ability to use the smartmobile view on actual smartmobile
     devices (e.g. Galaxy Nexus), since closing the notification window was
     returning to the previous page in the history - the login page - instead
     of the previous view in the current page.

     This is a total hack, but I couldn't figure out any other way of doing
     this in either jquery or jquery mobile.  Not sure if this has been fixed
     for 1.1.

  .../Notification/Listener/SmartmobileStatus.php    |    7 +++++--
  1 files changed, 5 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/b506993cea14ba0713c1cd769a1822259823a920
2012-08-29 12:34:42 Git Commit Comment #15 Reply to this comment
Changes have been made in Git (master):

commit 86cee2742665afd3b6d9e41e93521b15e204815e
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Mar 28 19:05:54 2012 -0600

     Bug #11103: Fix reloading views in smartmobile view

     Not sure why this is needed. onchangepage should only be triggered if
     the hash changes anyway.  And this was preventing viewport cache
     updates.

  imp/js/mobile.js |    8 +-------
  1 files changed, 1 insertions(+), 7 deletions(-)

http://git.horde.org/horde-git/-/commit/86cee2742665afd3b6d9e41e93521b15e204815e
2012-08-29 12:34:05 Git Commit Comment #14 Reply to this comment
Changes have been made in Git (master):

commit d0086a21043e4aa0b3a989378f56ac252f2ac4dd
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sun Mar 25 22:21:22 2012 -0600

     Simplify drop-down header information in smartmobile message screen

     Also, move styling to CSS file.

     Ticket #11103

  imp/js/mobile.js                      |    2 ++
  imp/templates/mobile/message.html.php |    8 +++-----
  imp/themes/default/mobile.css         |    9 +++++++++
  3 files changed, 14 insertions(+), 5 deletions(-)

http://git.horde.org/horde-git/-/commit/d0086a21043e4aa0b3a989378f56ac252f2ac4dd
2012-04-07 20:31:40 Michael Slusarz Comment #13
Assigned to Jan Schneider
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
* Delete confirmation has to go.  It becomes super annoying after the
1st message you delete.
I'm torn. Chances to press the delete button accidentally is much 
higher on a touch screen, that's why I added the confirmation 
dialog. I'd rather like to add checkboxes to the message list, so 
you can bulk-delete messages and only have to confirm once.
I've gone ahead and removed the delete confirmation.  In response, I 
added some padding between the "destructive" button row and the rest 
of the buttons to prevent accidental deletion.  But deletion itself 
should not be a destructive action, it either marks the message as 
deleted, hiding it in the smartmobile view, or it moves it to the 
Trash.  But this is not a irreversible action.

I did keep the confirmation for report ham/spam, since they may be 
irreversible actions (and are not as common as delete).

This change provides a much cleaner UI experience, not to mention much 
faster (you immediately are returned to the mailbox page, allowing the 
user to immediately begin viewing other messages).
2012-04-07 20:27:51 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (develop):

commit 634ee5c7da44d0a847db2113d084f3340fd9e5e3
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sat Apr 7 14:21:39 2012 -0600

     Ticket #11103: Remove confirmation when deleting a message

  imp/js/mobile.js                      |   29 ++++++++++++-----------------
  imp/templates/mobile/message.html.php |   21 +++++++++++----------
  imp/themes/default/mobile.css         |    3 +++
  3 files changed, 26 insertions(+), 27 deletions(-)

http://git.horde.org/horde-git/-/commit/634ee5c7da44d0a847db2113d084f3340fd9e5e3
2012-04-07 19:57:53 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (develop):

commit b506993cea14ba0713c1cd769a1822259823a920
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sat Apr 7 13:53:00 2012 -0600

     Bug #11103: Re-add delay to showing notifications on page load

     This event is being fired too quickly, so the history is not being
     updated before switching to the notification view. This was completely
     breaking the ability to use the smartmobile view on actual smartmobile
     devices (e.g. Galaxy Nexus), since closing the notification window was
     returning to the previous page in the history - the login page - instead
     of the previous view in the current page.

     This is a total hack, but I couldn't figure out any other way of doing
     this in either jquery or jquery mobile.  Not sure if this has been fixed
     for 1.1.

  .../Notification/Listener/SmartmobileStatus.php    |    7 +++++--
  1 files changed, 5 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/b506993cea14ba0713c1cd769a1822259823a920
2012-03-29 01:12:53 Michael Slusarz Comment #10 Reply to this comment
So naturally I was looking in the wrong place when writing my last 
comment.  We *are* using onpagechange.  But there was a weird lastHash 
kind of caching thing that was breaking a bunch of stuff.  I removed 
it and everything works better now.
2012-03-29 01:10:40 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (develop):

commit 86cee2742665afd3b6d9e41e93521b15e204815e
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Mar 28 19:05:54 2012 -0600

     Bug #11103: Fix reloading views in smartmobile view

     Not sure why this is needed. onchangepage should only be triggered if
     the hash changes anyway.  And this was preventing viewport cache
     updates.

  imp/js/mobile.js |    8 +-------
  1 files changed, 1 insertions(+), 7 deletions(-)

http://git.horde.org/horde-git/-/commit/86cee2742665afd3b6d9e41e93521b15e204815e
2012-03-28 09:46:37 Jan Schneider Comment #8 Reply to this comment
I'm almost 100% sure we should be using 'pagebeforechange' instead.
Instead of what? The current way of changing pages has evolved after 
trying almost *every* page change/load event that jqm offers. The 
current code is the only method that reliably worked across all tested 
browsers/situations so far.
2012-03-28 07:25:27 Michael Slusarz Comment #7 Reply to this comment
Further testing indicates we need to change the way we handle page 
changes.  I think that's the issue behind the report spam problems.   
There's also an issue with moving from the folders -> mailbox list, if 
the mailbox list is already loaded.  No imp mobile js code is 
triggered in this instance, so the mailbox cache can not be verified 
as accurate.

I'm almost 100% sure we should be using 'pagebeforechange' instead.   
See: http://jquerymobile.com/test/docs/api/events.html
2012-03-27 07:07:21 Michael Slusarz Comment #6 Reply to this comment
* Report spam notification is not working properly.
Do you mean the popup notification after you reported a message as
spam? Worked fine for me last time I looked, what's wrong now?
I can't remember.  I think it is not returning to the mailbox 
screen.  This probably has something to do with the caching changes.
When reporting spam, after confirming the view switches back to the 
message for a moment.  When the AJAX request is done there is a brief 
switch to the notification page ('The message has been marked as 
spam'), but it then immediately switches to the mailbox view, although 
a few things aren't correct (the browser title is not always set 
correctly; sometimes there is a pager even if the # of messages is 
below the threshold).
2012-03-27 06:55:55 Michael Slusarz Comment #5
State ⇒ Feedback
Reply to this comment
* Delete confirmation has to go.  It becomes super annoying after the
1st message you delete.
I'm torn. Chances to press the delete button accidentally is much 
higher on a touch screen, that's why I added the confirmation 
dialog. I'd rather like to add checkboxes to the message list, so 
you can bulk-delete messages and only have to confirm once.
I understand the need for caution, but this was the #1 thing that 
stuck out about the UI experience.  It was extremely tedious to go 
through my INBOX when I have more than a few new messages.

Using K-9 mail on android, there is no confirmation there and the 
button size is somewhat comparable.

Maybe move the "destructive" commands further away from the other commands?
* Report spam notification is not working properly.
Do you mean the popup notification after you reported a message as 
spam? Worked fine for me last time I looked, what's wrong now?
I can't remember.  I think it is not returning to the mailbox screen.   
This probably has something to do with the caching changes.
2012-03-26 07:46:03 Jan Schneider Comment #4 Reply to this comment
* Scroll swipe detection is lousy.  Trying to scroll a large folder 
list is almost impossible (a mailbox will be selected instead).   
This might be an issue with jquery - if so, we should consider 
upgrading (if possible).
Yes, that annoys me too. We should be upgrading to at least jqm 1.1 
for Horde 5 anyway, let's see if it's fixed there.
* Delete confirmation has to go.  It becomes super annoying after 
the 1st message you delete.
I'm torn. Chances to press the delete button accidentally is much 
higher on a touch screen, that's why I added the confirmation dialog. 
I'd rather like to add checkboxes to the message list, so you can 
bulk-delete messages and only have to confirm once.
* Report spam notification is not working properly.
Do you mean the popup notification after you reported a message as 
spam? Worked fine for me last time I looked, what's wrong now?
2012-03-26 04:32:57 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (develop):

commit d0086a21043e4aa0b3a989378f56ac252f2ac4dd
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sun Mar 25 22:21:22 2012 -0600

     Simplify drop-down header information in smartmobile message screen

     Also, move styling to CSS file.

     Ticket #11103

  imp/js/mobile.js                      |    2 ++
  imp/templates/mobile/message.html.php |    8 +++-----
  imp/themes/default/mobile.css         |    9 +++++++++
  3 files changed, 14 insertions(+), 5 deletions(-)

http://git.horde.org/horde-git/-/commit/d0086a21043e4aa0b3a989378f56ac252f2ac4dd
2012-03-26 04:25:26 Michael Slusarz Comment #2 Reply to this comment
* Do we really need pop-down message information?  It only contains 
3 items: Date (which is already displayed on the page), From 
(already displayed on the page) and To.  Seems to make more sense to 
just show Date/From/To all the time instead.
I kept the extra header information and instead modified/tweaked the 
design to save a bit of screen space.
2012-03-24 14:28:56 Michael Slusarz Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ Smartmobile view improvements
Queue ⇒ IMP
Milestone ⇒ 6
Patch ⇒ No
Reply to this comment
Finally getting around to using the interface for a substantial time 
(testing with Galaxy Nexus).  Things that need to be fixed/changed for 
IMP 6:

* Scroll swipe detection is lousy.  Trying to scroll a large folder 
list is almost impossible (a mailbox will be selected instead).  This 
might be an issue with jquery - if so, we should consider upgrading 
(if possible).

* Initial notification screen (i.e. last login) causes a reload of the 
portal page when closing.  This should not happen.

* Delete confirmation has to go.  It becomes super annoying after the 
1st message you delete.

* Report spam notification is not working properly.

* Do we really need pop-down message information?  It only contains 3 
items: Date (which is already displayed on the page), From (already 
displayed on the page) and To.  Seems to make more sense to just show 
Date/From/To all the time instead.

Saved Queries